# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# /__w/cudf/cudf/conda/recipes/cudf, last modified Wed Jun  5 15:29:14 2024
# ------------------------------------------------

package:
  name: cudf
  version: 24.06.00
source:
  path: /__w/cudf/cudf
build:
  ignore_run_exports:
    - libcudf
  ignore_run_exports_from:
    - nvcc_linux-aarch64
  number: '0'
  script_env:
    - AWS_ACCESS_KEY_ID
    - AWS_SECRET_ACCESS_KEY
    - AWS_SESSION_TOKEN
    - CMAKE_CUDA_COMPILER_LAUNCHER
    - CMAKE_CXX_COMPILER_LAUNCHER
    - CMAKE_C_COMPILER_LAUNCHER
    - CMAKE_GENERATOR
    - PARALLEL_LEVEL
    - SCCACHE_BUCKET
    - SCCACHE_IDLE_TIMEOUT
    - SCCACHE_REGION
    - SCCACHE_S3_KEY_PREFIX=cudf-aarch64
    - SCCACHE_S3_NO_CREDENTIALS
    - SCCACHE_S3_USE_SSL
  string: cuda11_py311_240605_g7c706cc400_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_14
    - binutils_impl_linux-aarch64 2.40 hf54a868_2
    - binutils_linux-aarch64 2.40 h95d2017_3
    - bzip2 1.0.8 h31becfc_5
    - c-ares 1.28.1 h31becfc_0
    - ca-certificates 2024.6.2 hcefe29a_0
    - cmake 3.29.4 hb69ad37_0
    - cuda-version 11.8 h70ddcb2_3
    - gcc_impl_linux-aarch64 11.4.0 h4c5f72d_7
    - gcc_linux-aarch64 11.4.0 hd664738_3
    - gxx_impl_linux-aarch64 11.4.0 h203c958_7
    - gxx_linux-aarch64 11.4.0 h27552d9_3
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_14
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.2 hc419048_0
    - ld_impl_linux-aarch64 2.40 h9fc2d93_2
    - libcurl 8.8.0 h4e8248e_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libexpat 2.6.2 h2f0025b_0
    - libgcc-devel_linux-aarch64 11.4.0 h67c109c_107
    - libgcc-ng 13.2.0 he277a41_7
    - libgomp 13.2.0 he277a41_7
    - libnghttp2 1.58.0 hb0e430d_1
    - libsanitizer 11.4.0 hc29431e_7
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx-devel_linux-aarch64 11.4.0 h67c109c_107
    - libstdcxx-ng 13.2.0 h3f4de04_7
    - libuv 1.48.0 h31becfc_0
    - libzlib 1.3.1 h68df207_1
    - ncurses 6.5 h0425590_0
    - ninja 1.12.1 h70be974_0
    - nvcc_linux-aarch64 11.8 hc5fb5b2_23
    - openssl 3.3.1 h68df207_0
    - rhash 1.4.4 h31becfc_0
    - sed 4.8 ha0d5d3d_0
    - sysroot_linux-aarch64 2.17 h5b4a56d_14
    - xz 5.2.6 h9cdd2b7_0
    - zstd 1.5.6 h02f22dd_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - aws-c-auth 0.7.22 h38e582b_2
    - aws-c-cal 0.6.14 he69d4ad_1
    - aws-c-common 0.9.19 h68df207_0
    - aws-c-compression 0.2.18 h9de22bd_6
    - aws-c-event-stream 0.4.2 h660a530_12
    - aws-c-http 0.8.1 hb63d320_17
    - aws-c-io 0.14.8 hc08e167_5
    - aws-c-mqtt 0.10.4 hb8a7502_4
    - aws-c-s3 0.5.9 hca2a1cf_3
    - aws-c-sdkutils 0.1.16 h9de22bd_2
    - aws-checksums 0.1.18 h9de22bd_6
    - aws-crt-cpp 0.26.9 h74ed545_0
    - aws-sdk-cpp 1.11.329 h4d1146e_3
    - bzip2 1.0.8 h31becfc_5
    - c-ares 1.28.1 h31becfc_0
    - ca-certificates 2024.6.2 hcefe29a_0
    - cuda-python 11.8.3 py311h28adfca_2
    - cuda-version 11.8 h70ddcb2_3
    - cudatoolkit 11.8.0 hdd48f4a_13
    - cython 3.0.10 py311h8715677_0
    - dlpack 0.8 h2f0025b_3
    - exceptiongroup 1.2.0 pyhd8ed1ab_2
    - fmt 10.2.1 h2a328a1_0
    - gflags 2.2.2 h54f1f3f_1004
    - glog 0.7.0 ha63034d_0
    - importlib-metadata 7.1.0 pyha770c72_0
    - importlib-resources 6.4.0 pyhd8ed1ab_0
    - importlib_resources 6.4.0 pyhd8ed1ab_0
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.2 hc419048_0
    - ld_impl_linux-aarch64 2.40 h9fc2d93_2
    - libabseil 20240116.2 cxx17_h2f0025b_0
    - libarrow 16.1.0 ha197d68_6_cpu
    - libarrow-acero 16.1.0 h5ad3122_6_cpu
    - libarrow-dataset 16.1.0 h5ad3122_6_cpu
    - libarrow-substrait 16.1.0 h08b7278_6_cpu
    - libblas 3.9.0 22_linuxaarch64_openblas
    - libbrotlicommon 1.1.0 h31becfc_1
    - libbrotlidec 1.1.0 h31becfc_1
    - libbrotlienc 1.1.0 h31becfc_1
    - libcblas 3.9.0 22_linuxaarch64_openblas
    - libcrc32c 1.1.2 h01db608_0
    - libcudf 24.06.00 cuda11_240605_g7c706cc400_0
    - libcurl 8.8.0 h4e8248e_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libevent 2.1.12 h4ba1bb4_1
    - libexpat 2.6.2 h2f0025b_0
    - libffi 3.4.2 h3557bc0_5
    - libgcc-ng 13.2.0 he277a41_7
    - libgfortran-ng 13.2.0 he9431aa_7
    - libgfortran5 13.2.0 h87d9d71_7
    - libgomp 13.2.0 he277a41_7
    - libgoogle-cloud 2.24.0 hc02380a_0
    - libgoogle-cloud-storage 2.24.0 haca2cfa_0
    - libgrpc 1.62.2 h98a9317_0
    - libkvikio 24.06.00 cuda11_240605_gd3f15ec_0
    - liblapack 3.9.0 22_linuxaarch64_openblas
    - libllvm14 14.0.6 h966f666_4
    - libnghttp2 1.58.0 hb0e430d_1
    - libnsl 2.0.1 h31becfc_0
    - libopenblas 0.3.27 pthreads_h5a5ec62_0
    - libparquet 16.1.0 h6fe2c6f_6_cpu
    - libprotobuf 4.25.3 h648ac29_0
    - libre2-11 2023.09.01 h9d008c2_2
    - librmm 24.06.00 cuda11_240605_gd889275f_0
    - libsqlite 3.45.3 h194ca79_0
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx-ng 13.2.0 h3f4de04_7
    - libthrift 0.19.0 h043aeee_1
    - libutf8proc 2.8.0 h4e544f5_0
    - libuuid 2.38.1 hb4cce97_0
    - libxcrypt 4.4.36 h31becfc_1
    - libzlib 1.3.1 h68df207_1
    - llvmlite 0.42.0 py311h1a7908d_1
    - lz4-c 1.9.4 hd600fc2_0
    - ncurses 6.5 h0425590_0
    - numba 0.59.1 py311h9c3f3d9_0
    - numpy 1.23.5 py311h7d6c6bb_0
    - nvcomp 3.0.6 h63e9150_0
    - openssl 3.3.1 h68df207_0
    - orc 2.0.1 hd7aaf90_1
    - packaging 24.0 pyhd8ed1ab_0
    - pathspec 0.12.1 pyhd8ed1ab_0
    - pip 24.0 pyhd8ed1ab_0
    - pyarrow 16.1.0 py311h37d12f8_1
    - pyarrow-core 16.1.0 py311hb6dc507_1_cpu
    - python 3.11.9 hddfb980_0_cpython
    - python_abi 3.11 4_cp311
    - re2 2023.09.01 h9caee61_2
    - readline 8.2 h8fc344f_1
    - rmm 24.06.00 cuda11_py311_240605_gd889275f_0
    - s2n 1.4.15 h52a6840_0
    - scikit-build-core 0.9.5 pyh4af843d_0
    - setuptools 70.0.0 pyhd8ed1ab_0
    - snappy 1.2.0 h8d0c38d_1
    - spdlog 1.12.0 h6b8df57_2
    - tk 8.6.13 h194ca79_0
    - tomli 2.0.1 pyhd8ed1ab_0
    - typing-extensions 4.12.1 hd8ed1ab_0
    - typing_extensions 4.12.1 pyha770c72_0
    - tzdata 2024a h0c530f3_0
    - wheel 0.43.0 pyhd8ed1ab_1
    - xz 5.2.6 h9cdd2b7_0
    - zipp 3.17.0 pyhd8ed1ab_0
    - zstd 1.5.6 h02f22dd_0
  run:
    - cachetools
    - cubinlinker
    - cuda-python >=11.7.1,<12.0a0
    - cuda-version >=11,<12.0a0
    - cudatoolkit
    - cupy >=12.0.0
    - fsspec >=0.6.0
    - libcudf =24.06.00
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - numba >=0.57
    - numpy >=1.23.5,<2.0a0
    - nvtx >=0.2.1
    - packaging
    - pandas >=2.0,<2.2.3dev0
    - ptxcompiler >=0.7.0
    - pyarrow >=16.1.0,<16.2.0a0
    - python >=3.11,<3.12.0a0
    - python_abi 3.11.* *_cp311
    - rich
    - rmm >=24.6.0,<24.7.0a0
    - typing_extensions >=4.0.0
test:
  imports:
    - cudf
  requires:
    - cuda-version =11.8
about:
  home: https://rapids.ai/
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE
  summary: cuDF GPU DataFrame core library
extra:
  copy_test_source_files: true
  final: true
